function GEzFx_OnEvent(self, event)
	if ( event == "MERCHANT_SHOW" ) then
	
-- Sell junk to vendor
		local itemTotal = 0
		local priceTotal = 0
		for x = 0, 4 do 	
			for y = 1, GetContainerNumSlots(x) do
				local b = GetContainerItemLink(x,y);
				if ( b ) then
					local iName, iLink, iRarity, iLevel, reqLevel, class, subclass, maxStack, equipSlot, texture, iVendorPrice = GetItemInfo(b);
					if ( iRarity == 0 ) then
						PickupContainerItem(x,y);
						local texture, itemCount = GetContainerItemInfo(x,y);
						PickupMerchantItem();
						itemTotal = itemTotal + itemCount;
						priceTotal = priceTotal + (itemCount*iVendorPrice);
					end
				end
			end
		end
		if ( itemTotal > 0 ) then
			if ( itemTotal == 1) then
				itemText = " item)."
			else
				itemText = " items)."
			end
			local TGold = tonumber(string.sub(priceTotal,1,-5)) if TGold == nil or TGold == 0 then TGold = "" else TGold = (TGold.."g, ") end
			local TSilver = tonumber(string.sub(priceTotal,-4,-3)) if TSilver == nil or TSilver == 0 then TSilver = "" else TSilver = (TSilver.."s, ") end
			local TCopper = tonumber(string.sub(priceTotal,-2,-1)) if TCopper == nil or TCopper == 0 then TCopper = "" else TCopper = (TCopper.."c") end
			DEFAULT_CHAT_FRAME:AddMessage("Total profit " ..TGold..TSilver..TCopper.. " (" ..itemTotal..itemText, 0, 1, 0);		
		end
		
-- Repair all items	
		local isRepairer = CanMerchantRepair();
		if ( isRepairer ) then
			local repairAllCost, canRepair = GetRepairAllCost();
			local playerMoney = GetMoney();
			if not canRepair then
				return;
			elseif ( canRepair ) then
				if ( playerMoney > repairAllCost ) then
					RepairAllItems();
					local TotalValue = repairAllCost; 
					local TGold = tonumber(string.sub(TotalValue,1,-5)) if TGold == nil or TGold == 0 then TGold = "" else TGold = (TGold.."g, ") end
					local TSilver = tonumber(string.sub(TotalValue,-4,-3)) if TSilver == nil or TSilver == 0 then TSilver = "" else TSilver = (TSilver.."s, ") end
					local TCopper = tonumber(string.sub(TotalValue,-2,-1)) if TCopper == nil or TCopper == 0 then TCopper = "" else TCopper = (TCopper.."c") end
					DEFAULT_CHAT_FRAME:AddMessage("Repair costs " ..TGold..TSilver..TCopper.. ".", 1, 0, 0);
				elseif ( playerMoney <= repairAllCost ) then
					DEFAULT_CHAT_FRAME:AddMessage("Not enough money. Do some daylies, noob!", 1, 0, 0);
				end
			end
		end
	end
end

local f = CreateFrame("Frame", "GEzFx_Frame", UIParent);
f:SetScript("OnEvent", GEzFx_OnEvent);
f:RegisterEvent("MERCHANT_SHOW");
f:RegisterEvent("ADDON_LOADED");